JAR List Updates June 2021 Updates

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 2nd Updates


JAR List Options that have been added:
- Curse - SevTech: Ages (3.2.1).
- Technic - The 1.12.2 Pack (1.3.6).



JAR List Options that have been updated:
- Vanilla 1.17 Pre-Release 2 to Pre-Release 3 4 [Unsupported].
To update this option if you already installed it simply delete the jar folder and restart.


JAR List Options that have been removed:
- Curse - All the Mods 6 (1.6.5).



Remember to keep up to date with the options tagged with [Latest] on the jarlist if you use them - updates for these are found on the first link below, and the second link lets you know how to update if you use these options:
https://www.beastnode.com/forums/threads/jar-list-latest-updates.143/
https://www.beastnode.com/forums/threads/latest-jar-list-options-and-how-when-to-update-them.174/
 
Last edited:

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 3rd Updates


JAR List Options that have been added:
- Mohist 1.12.2 (#226 - Forge #14.23.5.2855)
- Magma 1.12.2 (48ec0a1 - Forge #14.23.5.2855)

Note - Mohist and Magma, for those not familiar with the softwares, are Forge (using the build listed on the jar list) server software utilizing the Bukkit/Spigot/Paper API, allowing Bukkit/Spigot/Paper plugin use on these versions of Forge. These will be checked for updates weekly on Wednesdays, as with Forge, and the same option will be updated so you only need to delete the jar folder and restart to update when needed (unlike the Forge options this will not wipe your mods/config folders on install).
Note 2 - As with any Forge+Plugins software there is no guarantee that every mod or plugin will work with it, and if they do not this is not something we can fix or help with. If you find a mod/plugin that does not work with these options, report it to either the plugin/mod developers or the Magma/Mohist dev teams in their relevant places. For Mohist there are some edited plugin jars for fixes available on their website at https://mohistmc.com/fixed-plugins-mods/
Note 3 - You can check if your Magma/Mohist is outdated by doing version in the console and checking it against the jar list.
For example the current Mohist 1.12.2's version output is:
03.06 07:46:57 [Server] INFO This server is running Mohist version 1.12.2-226 (MC: 1.12.2) (Implementing API version 1.12.2-R0.1-SNAPSHOT, Forge version 14.23.5.2855)
And the current Magma 1.12.2 version output is:
03.06 07:39:31 [Server] Server thread/INFO []: This server is running Magma version 48ec0a1 (Implementing API version 1.12.2-R0.1-SNAPSHOT, Forge Version 14.23.5.2855)
Confirming both the Magma/Mohist and Forge versions.


JAR List Options that have been updated:
- Vanilla 1.17 Pre-Release 4 to Pre-Release 5 [Unsupported].
To update this option if you already installed it simply delete the jar folder and restart.


JAR List Options that have been removed:
- Curse - SevTech: Ages (3.1.7).
- Technic - The 1.12.2 Pack (1.3.4).
 
Last edited:

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 4th Updates


JAR List Options that have been added:
- FTB - Revelation (3.5.0)[Unsupported].
- Vanilla 1.17 Release Candidate 1 [Unsupported].
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 5th Updates


JAR List Options that have been added:
- FTB - Horizons 3 (1.10.0).


JAR List Options that have been removed:
- FTB - Revelation (3.4.0).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 7th Updates


JAR List Options that have been updated:
- Vanilla 1.17 Release Candidate 1 to Release Candidate 2 [Unsupported].
To update this option if you already installed it simply delete the jar folder and restart.


JAR List Options that have been removed:
- FTB - Horizons 3 (1.9.0).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 8th Updates


JAR List Options that have been added:
- Vanilla 1.17.

NOTE:
As with any major version update - make a backup of your server data before you load the server on 1.17 for the first time! If you update to 1.17 without making a backup you will not be able to backdate to 1.16.5 or older with the same world (if it is usable on older versions once loaded with 1.17, it is very likely to have a number of issues that would otherwise not be there).
While not confirmed if necessary, if you are updating without generating a new world for 1.17 it may be helpful to run it once with --forceUpgrade enabled (Advanced > Startup Parameters on the control panel - tick the option, restart the server on 1.17, then untick the option).


JAR List Options that have been updated:
- Velocity updated for 1.17 support.
- "Default" updated to Vanilla 1.17.
As always if you use these options and wish to update simply delete the jar folder from the server files and restart the server.

PLEASE NOTE HOWEVER:
If you are running plugins on the Default option currently it is recommended to change your jar list to the Spigot 1.16.5 option, and not to update to 1.17 until Spigot and all relevant plugins have updated.
If you update the server jar by mistake on the Default option your plugins will disable. Your Nether/End will also appear to reset (as Vanilla and Spigot load them from different locations in the files).

Once Spigot 1.17 has been out for a week or two, to allow time for any immediate bugs to be resolved, the "Default" option will again be swapped to Spigot instead of Vanilla for new services, as nothing in the changelogs for 1.17 suggests that any of the major causes of performance issues in the Vanilla server software have been addressed (again - though, also again, there are a number of clientside/singleplayer fixes regarding lag/performance/desync issues).


JAR List Options that have been removed:
- Vanilla 1.17 Snapshot 20w45a.
- Vanilla 1.17 Snapshot 20w46a.
- Vanilla 1.17 Snapshot 20w48a.
- Vanilla 1.17 Snapshot 20w49a.
- Vanilla 1.17 Snapshot 20w51a.
- Vanilla 1.17 Snapshot 21w03a.
- Vanilla 1.17 Snapshot 21w15a.
- Vanilla 1.17 Snapshot 21w16a.
- Vanilla 1.17 Snapshot 21w17a.
- Vanilla 1.17 Snapshot 21w18a.
- Vanilla 1.17 Snapshot 21w19a.
- Vanilla 1.17 Snapshot 21w20a.
- Vanilla 1.17 Pre-Release 5.
- Vanilla 1.17 Release Candidate 2.


JAR List Options that have been changed:
- Vanilla 1.14.4 moved to the Unsupported section.
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 9th Updates


JAR List Options that have been added:
- Curse - All the Mods 6 (1.6.8)[Unsupported].
- Curse - Engineer's Life 2 (1.04).
- Curse - Valhelsia 3 (3.3.3)[Unsupported].
- Fabric 1.17 (0.11.3) w/ FabricAPI (0.34.9)
- Forge 1.16.5 (Latest - 36.1.30).

NOTE - As with all of the plain Forge options, it will wipe your servers config and mods folders on install. Unless you require the newer Forge build for any mod changes you are making you should not update to this build.
If you do require the update, follow these steps exactly to avoid any issues with your setup:
- Stop your server and log into the server files/FTP.
- Delete the jar folder.
- Make a new folder (any name just something different and memorable so you remember which it is) and move the config and mods folders into it, along with the world folder you are using.
- When done, load the server back up.
- Once it has loaded shut it back down and go back to the server files/FTP.
- Delete the config and mods folders, as well as the folder with the same name as your world.
- When they have deleted, move the contents of the folder you created previously (the config, mods and world folder you moved to it earlier) back out to the main directory (after this is done you can then delete the empty folder).
- Start the server back up.

To continue using the previous Forge build, without it making your server never show as "Online" on the control panel, follow these steps:
- Log into your server files.
- Go into the /jar directory and rename the Forge file you are using (the name is in the JAR File box on the main page of your control panel) to custom_server.jar exactly (case-sensitive).
- When done, go back to the main page of the control panel and change the drop down jar list from the Forge option you are using (or "Default" if it has already been removed from our list" and select the Custom Server JAR [Java 8] option.
- Restart the server.
It will continue using the same Forge build you have been using, but will continue to show it as Online on the control panel correctly even when we remove that Forge build from our list.


JAR List Options that have been updated:
- BungeeCord has updated for 1.17 support.
- Waterfall has updated for 1.17 support.
As always if you use these options and wish to update simply delete the jar folder from the server files and restart the server.
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 11th Updates


JAR List Options that have been added:
- Curse - All the Mods 6 (1.6.9)[Unsupported].
- Spigot 1.17 (with and without Aikars flags) - further updates to the Spigot 1.17 build, as always, will be done daily and noted on the post HERE.

Please Note:
As with all Minecraft version updates if you are updating from 1.16.5 to 1.17 you must make backups beforehand just in case - no update, regardless of how big or what it adds/changes, has a guarantee that your worlds or plugins will work fine after updating and without a backup you cannot roll it back without potentially causing even further issues.
It is also strongly recommended for servers actively using plugins to test on a localhost with Spigot 1.17 and your plugins (and with updating all plugins to their latest available version) to see if everything is ready for the update before updating your live server.

Again as with Vanilla 1.17 - while it has not been confirmed if required, if you are updating with the same world/s then loading the server with --forceUpgrade enabled on the Advanced > Startup Parameters page of your control panel will likely be a good idea (make sure to disable it again after loading the server with it once).


JAR List Options that have been removed:
- Curse - All the Mods 6 (1.6.7).
- Curse - Engineer's Life 2 (1.03).
- Curse - Valhelsia 3 (3.3.2).
- Forge 1.16.5 (Latest - 36.1.24).


JAR List Options that have been changed:
- Spigot 1.14.4 moved to the Unsupported section.
- Spigot 1.16.5 (with and without Aikars flags) no longer listed as [Latest].
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 12th Updates


JAR List Options that have been added:
- Curse - All the Mods 3 (6.1.0)[Unsupported].
- PixelmonGenerations (8.5.0).


JAR List Options that have been updated:
- The Fabric 1.16.5 option, updated to include Fabric-API (0.35.0).
- The Fabric 1.17 option, updated to include Fabric-API (0.35.0).
To update these options simply delete the jar folder and restart. If you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).

- NukkitX has updated for Bedrock 1.17.0.
As always if you use this option and wish to update simply delete the jar folder from the server files and restart the server. As this is a major version update make sure to create a server backup (at the very least a world backup) before updating.


JAR List Options that have been removed:
- Curse - All the Mods 6 (1.6.8).


JAR List Options that have been changed:
- BungeeCord, Waterfall and Velocity now state the MC versions they are compatible with on the jar list.
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 13th Updates


JAR List Options that have been added:
- PixelmonGenerations (8.5.1).


JAR List Options that have been removed:
- Curse - All the Mods 3 (6.0.0).
- PixelmonGenerations (8.4.2).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 14th Updates


JAR List Options that have been added:
- Curse - All the Mods 6 (1.6.10)[Unsupported].


JAR List Options that have been removed:
- PixelmonGenerations (8.5.0).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 16th Updates


JAR List Options that have been added:
- AT - Farming Valley (1.0.2).
- Forge 1.16.5 (Latest - 36.1.31).

NOTE - As with all of the plain Forge options, it will wipe your servers config and mods folders on install. Unless you require the newer Forge build for any mod changes you are making you should not update to this build.
If you do require the update, follow these steps exactly to avoid any issues with your setup:
- Stop your server and log into the server files/FTP.
- Delete the jar folder.
- Make a new folder (any name just something different and memorable so you remember which it is) and move the config and mods folders into it, along with the world folder you are using.
- When done, load the server back up.
- Once it has loaded shut it back down and go back to the server files/FTP.
- Delete the config and mods folders, as well as the folder with the same name as your world.
- When they have deleted, move the contents of the folder you created previously (the config, mods and world folder you moved to it earlier) back out to the main directory (after this is done you can then delete the empty folder).
- Start the server back up.

To continue using the previous Forge build, without it making your server never show as "Online" on the control panel, follow these steps:
- Log into your server files.
- Go into the /jar directory and rename the Forge file you are using (the name is in the JAR File box on the main page of your control panel) to custom_server.jar exactly (case-sensitive).
- When done, go back to the main page of the control panel and change the drop down jar list from the Forge option you are using (or "Default" if it has already been removed from our list" and select the Custom Server JAR [Java 8] option.
- Restart the server.
It will continue using the same Forge build you have been using, but will continue to show it as Online on the control panel correctly even when we remove that Forge build from our list.


JAR List Options that have been updated:
- The Fabric 1.16.5 option, updated to use Fabric Loader (0.11.6) and to include Fabric-API (0.35.1).
- The Fabric 1.17 option, updated to use Fabric Loader (0.11.6) and to include Fabric-API (0.35.2).
To update these options simply delete the jar folder and restart. If you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).

- The Mohist 1.12.2 option, updated to build #230.
To update this option simply delete the jar folder and restart.


JAR List Options that have been removed:
- Curse - All the Mods 6 (1.6.9).


JAR List Options that have been changed:
- Both Custom Server JAR options are now listed in a separate section so that the top option on the jar list is Default to avoid confusion with which Java version you are running when you use a custom jar or jar that was removed from our list (as the drop down list just shows the top option when you use a jar with a name that matches nothing on our system - it does not mean you are actively using that jar list option).
 
Last edited:

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 18th Updates


JAR List Options that have been added:
- AT - A Bit of Everything (3.9.3)[Unsupported].
- Vanilla 1.17.1 Pre-Release 1 [Unsupported].


JAR List Options that have been removed:
- AT - Farming Valley (1.0.1).
- Forge 1.16.5 (Latest - 36.1.30).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 20th Updates


JAR List Options that have been added:
- PaperSpigot 1.17 (with and without Aikar's flags).
As always for [Latest] options these will be checked and updated when needed once a day, with the updates noted over on the post HERE.

NOTE - These are to be considered DEVELOPMENT builds for the time being - You use them at your own risk of breaking issues. Currently it is NOT recommended for public/active servers to use these PaperSpigot builds.
Until the Paper team themselves have stated they are stable enough for production use they will continue to be labelled as such, and will be in the Unsupported sections.


JAR List Options that have been removed:
- AT - A Bit of Everything (3.9.2).


JAR List Options that have been changed:
- Both PaperSpigot 1.16.5 options are no longer listed as [Latest].
- PaperSpigot 1.14.4 has been moved to the Unsupported section.
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 23rd Updates


JAR List Options that have been added:
- Forge 1.16.5 (Latest - 36.1.32).

NOTE - As with all of the plain Forge options, it will wipe your servers config and mods folders on install. Unless you require the newer Forge build for any mod changes you are making you should not update to this build.
If you do require the update, follow these steps exactly to avoid any issues with your setup:
- Stop your server and log into the server files/FTP.
- Delete the jar folder.
- Make a new folder (any name just something different and memorable so you remember which it is) and move the config and mods folders into it, along with the world folder you are using.
- When done, load the server back up.
- Once it has loaded shut it back down and go back to the server files/FTP.
- Delete the config and mods folders, as well as the folder with the same name as your world.
- When they have deleted, move the contents of the folder you created previously (the config, mods and world folder you moved to it earlier) back out to the main directory (after this is done you can then delete the empty folder).
- Start the server back up.

To continue using the previous Forge build, without it making your server never show as "Online" on the control panel, follow these steps:
- Log into your server files.
- Go into the /jar directory and rename the Forge file you are using (the name is in the JAR File box on the main page of your control panel) to custom_server.jar exactly (case-sensitive).
- When done, go back to the main page of the control panel and change the drop down jar list from the Forge option you are using (or "Default" if it has already been removed from our list" and select the Custom Server JAR [Java 8] option.
- Restart the server.
It will continue using the same Forge build you have been using, but will continue to show it as Online on the control panel correctly even when we remove that Forge build from our list.


JAR List Options that have been updated:
- The Fabric 1.16.5 option, updated to include Fabric-API (0.36.0).
- The Fabric 1.17 option, updated to include Fabric-API (0.36.0).
To update these options simply delete the jar folder and restart. If you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).

- The Mohist 1.12.2 option, updated to build #234.
- The Magma 1.12.2 option, updated to build a2b8e25.
To update these options simply delete the jar folder and restart.
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 26th Updates


JAR List Options that have been added:
- Curse - All the Mods 6 (1.6.11)[Unsupported].


JAR List Options that have been removed:
- Forge 1.16.5 (Latest - 36.1.31).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 27th Updates


JAR List Options that have been added:
- Curse - All the Mods 6 (1.6.12)[Unsupported].


JAR List Options that have been removed:
- Curse - All the Mods 6 (1.6.10).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 28th Updates


JAR List Options that have been added:
- Curse - All the Mods 6 (1.6.13)[Unsupported].
- Technic - The 1.12.2 Pack (1.3.7).


JAR List Options that have been removed:
- Curse - All the Mods 6 (1.6.11).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 29th Updates


JAR List Options that have been updated:
- Vanilla 1.17.1 Pre-Release updated to Pre-Release 2 [Unsupported].
To update of you already used Pre-Release 1 simply delete the jar folder and restart on this option.


JAR List Options that have been removed:
- Curse - All the Mods 6 (1.6.12).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
552
128
108
The Realm of Obscurity.
June 30th Updates


JAR List Options that have been added:
- Curse - Valhelsia 3 (3.4.0)[Unsupported].


JAR List Options that have been updated:
- The Mohist 1.12.2 option, updated to build #241.
- The Magma 1.12.2 option, updated to build 99be8c5.
- Vanilla 1.17.1 Pre-Release updated to Pre-Release 3 [Unsupported].
To update these options simply delete the jar folder and restart.


JAR List Options that have been changed:
- PaperSpigot 1.17 is no longer listed as a DEV build.
Note that this does not mean that they are stable - just that there should no longer be any game/world breaking bugs present. 1.17 is still new, neither Spigot nor PaperSpigot should be considered stable yet so regular backups should be made and both the server jars and plugins should be updated regularly to keep up to date with fixes/patches.
 
Last edited: